Bug 38913 - CRASH at startup citing msvcr90.dll after upgrade (most likely related to javasettings_Windows_x86.xml in the user profile)
Summary: CRASH at startup citing msvcr90.dll after upgrade (most likely related to jav...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: All Windows (All)
: medium major
Assignee: Stephan Bergmann
QA Contact:
URL:
Whiteboard: target:3.7.0 target:3.6.2 target:3.5.7
Keywords:
: 37883 41179 42772 46105 46114 46140 47578 48271 48445 50517 51339 51775 53464 53921 54540 (view as bug list)
Depends on:
Blocks: mab3.5 54689
  Show dependency treegraph
 
Reported: 2011-07-02 08:53 UTC by ibouwmeester
Modified: 2012-09-14 13:48 UTC (History)
23 users (show)

See Also:


Attachments
C++ Installed Components (208.32 KB, image/png)
2012-02-19 00:07 UTC, Nick P G Smith
Details
Crash at startup (290.30 KB, image/png)
2012-02-19 00:09 UTC, Nick P G Smith
Details
screenshot of soffice.bin - Application Error (7.88 KB, image/png)
2012-09-13 00:29 UTC, Mikesco3
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ibouwmeester 2011-07-02 08:53:03 UTC
- Windows Vista SP2

The following Microsoft Visual C++ 2008 Redistributable libraries installed: 
- Microsoft Visual C++ 2008 Redistributable - x86 9.0.21022
- Microsoft Visual C++ 2008 Redistributable - x86 9.0.21022.218
- Microsoft Visual C++ 2008 Redistributable - x86 9.0.30729.17
- Microsoft Visual C++ 2008 Redistributable - x86 9.0.30729.4148
- Microsoft Visual C++ 2008 ALT Update kb973924 - x86 9.0.30729.4148
- Microsoft Visual C++ 2008 Redistributable - KB2467174 - x86 9.0.30729.5570
- Microsoft Visual C++ 2008 Redistributable - x86 9.0.30729.6161

Event log:
Faulting application soffice.bin, version 3.4.103.500, time stamp 0x4e05435d, faulting module MSVCR90.dll, version 9.0.30729.6161, time stamp 0x4dace5b9, exception code 0xc0000417, fault offset 0x0002e9f4, process id 0x14c4, application start time 0x01cc383b5295facf.

Scenario:
After installing LibreOffice 3.4.1 release (I tried de-installing and re-installing from new downloads, with reboots in between - After the crashes on application start occurred), I'm not able to open any of the LibreOffice applications, they all crash. All complain about MSVCR90.dll, see event log above. 

Previously I used LibreOffice 3.1.0 without any problems. I de-installed LibreOffice 3.4.1 and installed LibreOffice 3.3.3 which doesn't crash. Though on a side note: it can not start the Java based modules, probably because I have JRE 1.4.2_08 (Alas I need it to get Cisco SDM to work properly...and I don't want the hassle of dealing with multiple JRE versions installed.)
Comment 1 Raúl Casado 2011-08-18 04:04:29 UTC
I have same problem with 3.4.2 release. I have tested it in two platforms:
 * Windows 7 SP1 which give me this information:
Firma con problemas:
  Nombre del evento de problema:    BEX
  Nombre de la aplicación:    soffice.bin
  Versión de la aplicación:    3.4.201.500
  Marca de tiempo de la aplicación:    4e2d908c
  Nombre del módulo con errores:    MSVCR90.dll
  Versión del módulo con errores:    9.0.30729.6161
  Marca de tiempo del módulo con errores:    4dace5b9
  Desplazamiento de excepción:    0002e9f4
  Código de excepción:    c0000417
  Datos de excepción:    00000000
  Versión del sistema operativo:    6.1.7601.2.1.0.768.3
  Id. de configuración regional:    3082
  Información adicional 1:    70d5
  Información adicional 2:    70d5762ff668ba7bf0e5139640d4fd2f
  Información adicional 3:    c0cd
  Información adicional 4:    c0cd819c0f2ffc66658c2879076eaa07

 * And Windows XP Professional SP2 which seems to crash at the same point.
Comment 2 Raúl Casado 2011-08-18 07:42:38 UTC
Could be this problem related to Java 64 bits?

I have done this steps in Windows 7:
 * Uninstall LO 3.4.2
 * Install LO 3.3.4 and the Spanish Helppack
 * Start LO 3.3.4 ... an error dialog alert me there is no valid JVM
 * Try to set the JVM to a JVM 64 bits version with no success
 * Install last 32 JRE from Oracle site
 * Set the JVM enviroment in LO to the new JVM installation
 * Install LO 3.4.2
 * Start LO 3.4.2 with success

So, the problem now is that my windows XP machine is a 32 bit and still crashes with 3.4.2
Comment 3 Alex Sims 2011-11-12 01:24:10 UTC
The Java is a key. After uninstalling (on 64 bit Windows Vista Enterprise) the x86 versions of Java, LibreOffice would crash on startup. 
- installed Microsoft Visual C++ 2008 Redistributable
- still crashes
- Install Java 7 x86 offline
- Still crashes
- Install Java 6 x86 offline
- fixed!
Comment 4 fuggi 2011-12-05 05:42:20 UTC
Just would like to annotate that this bug is still not fixed in LO v3.4.4. It cannot detect nor use Java 7 (neither 32 Bit nor 64 Bit) and crashes without notice at startup as reported in this bug report.
Comment 5 Björn Michaelsen 2011-12-23 12:26:42 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 6 abittner 2012-02-14 14:38:23 UTC
having this bug on windows 7 sp1, x64 (amd64) german, professional.

oracle/sun java 7 (update3 as of lately, both jre x86 and jre x64)

ran open office 3.4.5 just fine, when going to 3.5.0 (about dialogbox from same windows .msi installer, on windows xp machines show rc3 though(??)) libreoffice 3.5.0 never starts any more. it crashes in the splash screen with the splash screen bar showing init about dictionary and similar stuff. always crashes there.

reported a bazillion drwatson/crashreport/wer(windowserrorreporting) incidents back to msft.

who is in charge of the msvcr90.dll in the first place? whose file is that, who can provide newer versions or fixage to this bug?

----------------------
example crash:


Beschreibung
Pfad der fehlerhaften Anwendung:	C:\Program Files (x86)\LibreOffice 3.5\program\soffice.bin

Problemsignatur
Problemereignisame:	BEX
Anwendungsname:	soffice.bin
Anwendungsversion:	3.5.0.13
Anwendungszeitstempel:	4f2a576b
Fehlermodulname:	MSVCR90.dll
Fehlermodulversion:	9.0.30729.6161
Fehlermodulzeitstempel:	4dace5b9
Ausnahmeoffset:	0002e9f4
Ausnahmecode:	c0000417
Ausnahmedaten:	00000000
Betriebsystemversion:	6.1.7601.2.1.0.256.48
Gebietsschema-ID:	1031
Zusatzinformation 1:	dda5
Zusatzinformation 2:	dda5633914b838568fd285f822ee0ea1
Zusatzinformation 3:	901c
Zusatzinformation 4:	901c92408b667a704aef773baabd78a7

Weitere Informationen über das Problem
Bucket-ID:	2750905512


-------------------------------

there are seemingly a zillion of mainly different msvcr90.dll files on that system alone below \windows\ directory, and even more in \programfiles\.....

is this rather a java jre error or a microsoft libraries error? is oracle sun coorperation needed, or only libreoffice code-base bugfixing necessary?

please do fix this bug at last, as its not getting any better for many months now.

thanks and regards.
Comment 7 Don't use this account, use tml@iki.fi 2012-02-14 22:56:41 UTC
This bug report is totally useless.
Comment 8 fuggi 2012-02-15 00:14:12 UTC
@Tor: I do not think that this bug report is totally, but I do think that your comment is! You should have *at least* stated why you think it is.
Comment 9 liam.kirsh 2012-02-17 00:22:36 UTC
Recurring in LibreOffice 3.5.0 final. A workaround is to remove all traces of LibreOffice after uninstall (delete the folder in Program Files) and reinstall.
Comment 10 liam.kirsh 2012-02-17 00:22:56 UTC
*** Bug 42772 has been marked as a duplicate of this bug. ***
Comment 11 liam.kirsh 2012-02-17 00:23:47 UTC
*** Bug 46105 has been marked as a duplicate of this bug. ***
Comment 12 liam.kirsh 2012-02-17 00:24:06 UTC
*** Bug 46140 has been marked as a duplicate of this bug. ***
Comment 13 fuggi 2012-02-17 02:00:21 UTC
I strongly doubt that this bug has anything to do with the Danish dictionary as it is not even installed on my LO installations. Hence, I recommend to use the previous bug title again.
Comment 14 patlecat 2012-02-17 02:07:44 UTC
I also doubt that it has anything to do with the danish dic, but if you cannot provide evidence against it we cannot rule it out completely.

I also don't think that Java7 has anything to do with it, since I first installed LO 3.5 under an older JavaSE version 1.6.20 which also crashed at startup.


In my event log I found the following application error:
Faulting application name: soffice.bin, version: 3.5.0.13, time stamp: 0x4f2a576b
Faulting module name: MSVCR90.dll, version: 9.0.30729.6161, time stamp: 0x4dace5b9
Exception code: 0xc0000417
Fault offset: 0x0002e9f4
Faulting process id: 0x13e0
Faulting application start time: 0x01ccebed21ca49bd
Faulting application path: C:\Program Files\LibreOffice 3.5\program\soffice.bin
Faulting module path: C:\Windows\WinSxS\x86_microsoft.vc90.crt_1fc8b3b9a1e18e3b_9.0.30729.6161_none_50934f2ebcb7eb57\MSVCR90.dll
Report Id: 60e65828-57e0-11e1-9ead-005056c00008
Comment 15 Nick P G Smith 2012-02-19 00:07:57 UTC
Created attachment 57267 [details]
C++ Installed Components
Comment 16 Nick P G Smith 2012-02-19 00:09:07 UTC
Created attachment 57268 [details]
Crash at startup
Comment 17 Nick P G Smith 2012-02-19 00:11:32 UTC
I can repoduce on my Windows 7 Pro 432 bit system
- Win fully patched to date
- LO 3.5.0 installed with all defaults except Base not installed
- No JVMs installed
- Crash at splash startup (see attachment)
- Several C++ components installed and VStudio 2010 (see attachment)

Faulting application name: soffice.bin, version: 3.5.0.13, time stamp: 0x4f2a576b
Faulting module name: MSVCR90.dll, version: 9.0.30729.6161, time stamp: 0x4dace5b9
Exception code: 0xc0000417
Fault offset: 0x0002e9f4
Faulting process id: 0x16a8
Faulting application start time: 0x01cceed97f4ddbda
Faulting application path: C:\Program Files\LibreOffice 3.5\program\soffice.bin
Faulting module path: C:\Windows\WinSxS\x86_microsoft.vc90.crt_1fc8b3b9a1e18e3b_9.0.30729.6161_none_50934f2ebcb7eb57\MSVCR90.dll
Report Id: c40ae28e-5acc-11e1-a286-001c26ede3d6

soffice.bin 
   3.5.0.13 
   4f2a576b 
   MSVCR90.dll 
   9.0.30729.6161 
   4dace5b9 
   c0000417 
   0002e9f4 
   16a8 
   01cceed97f4ddbda 
   C:\Program Files\LibreOffice 3.5\program\soffice.bin 
   C:\Windows\WinSxS\x86_microsoft.vc90.crt_1fc8b3b9a1e18e3b_9.0.30729.6161_none_50934f2ebcb7eb57\MSVCR90.dll 
   c40ae28e-5acc-11e1-a286-001c26ede3d6
Comment 18 liam.kirsh 2012-02-20 01:09:25 UTC
(In reply to comment #14)
> I also doubt that it has anything to do with the danish dic, but if you cannot provide evidence against it we cannot rule it out completely.
> 
> I also don't think that Java7 has anything to do with it, since I first installed LO 3.5 under an older JavaSE version 1.6.20 which also crashed at startup.

One of the duplicate bug reporters and I both noticed that "loading Danish dictionary" was the message shown on the LibreOffice splash screen. Neither of us had it installed. Can you double check and verify that this isn't where LibreOffice hangs when it crashes? Move the error window out of the way.

Regarding Java, I was able to resolve the bug simply by running a manual uninstall of LibreOffice, including all leftovers in the registry and in Program Files, so unless we have two separate bugs here, I agree that it most likely is not related to Java.
Comment 19 Sven 2012-02-25 07:56:14 UTC
Same problem on Windows XP.
Is there any way to start LibreOffice with verbose output on the console?
I'd hope to gather a few more details other than "loading danish dictionary".
Comment 20 Ron Murray 2012-03-05 19:14:22 UTC
I had the same problem. Removing LibreOffice and re-installing didn't help. Removing it, deleting all c:\Program Files\LibreOffice* directories, deleting anything in the Registry with "LibreOffice" in it, and re-installing didn't help either. Still got "LibreOffice has stopped working" while it was loading the Danish stuff (I only have English installed). Platform is x86_64, Windows 7 with Oracle Java 7 update 3 installed.
Finally deleted my c:\Users\<username>\AppData\Roaming\LibreOffice directory. First time I tried, startup was very slow, but stayed up past the Danish stuff, finally (silently) crashing while displaying the WikiPublisher (?) message.
Subsequent startups, however, have been normal and fast.
Comment 21 liam.kirsh 2012-03-05 19:20:47 UTC
Personally, I fixed the problem using Revo Uninstaller. I ran an "advanced" scan for remaining LibreOffice files and registry keys and had no problems on reinstall.

I changed the platform to "All" because it has been experienced on 64- and 32-bit Windows.
Comment 22 Alex Sims 2012-03-05 19:35:46 UTC
LibreOffice 3.5.0 under Windows either 64 bit or 32 bit requires the x86 (32 bit) Java runtime either Java 6 or Java 7. Bug 39659 was LibreOffice 3.4.4 and prior requiring Java 6 x86 (32 bit) and would not recognise Java 7 x86 (32 bit) and would crash on startup. (In reply to comment #20)

> I had the same problem. Removing LibreOffice and re-installing didn't help.
> Removing it, deleting all c:\Program Files\LibreOffice* directories, deleting
> anything in the Registry with "LibreOffice" in it, and re-installing didn't
> help either. Still got "LibreOffice has stopped working" while it was loading
> the Danish stuff (I only have English installed). Platform is x86_64, Windows 7
> with Oracle Java 7 update 3 installed.
> Finally deleted my c:\Users\<username>\AppData\Roaming\LibreOffice directory.
> First time I tried, startup was very slow, but stayed up past the Danish stuff,
> finally (silently) crashing while displaying the WikiPublisher (?) message.
> Subsequent startups, however, have been normal and fast.

Have you installed a 32 bit (x86) Java runtime?
Comment 23 Ron Murray 2012-03-05 19:46:11 UTC
> Have you installed a 32 bit (x86) Java runtime?

Yes. Have both 32- and 64-bit JREs installed (and 64-bit JDK).
Comment 24 liam.kirsh 2012-03-05 20:22:38 UTC
Reverting version to 3.4.4 release in accordance with this bug tracker's policy of using the version in which a bug was first reported.
Comment 25 Christian Ehrlicher 2012-03-16 07:10:56 UTC
(In reply to comment #20)
> Finally deleted my c:\Users\<username>\AppData\Roaming\LibreOffice directory.
> First time I tried, startup was very slow, but stayed up past the Danish stuff,
> finally (silently) crashing while displaying the WikiPublisher (?) message.
> Subsequent startups, however, have been normal and fast.
I also removed c:\Users\<username>\AppData\Roaming\LibreOffice and during the first start LO crashed without a windows error dialog. After this LO started fine... since I've got another system with this problem I'll try to figure out which file inside the deleted folder is causing the crash. I'll report back later.
Comment 26 Christian Ehrlicher 2012-03-16 07:13:11 UTC
Forgot to say - On this system I had 3.4.5 installed which ran fine. I then hit this crash after upgrading to 3.5.1. On the other system I already had problems with 3.4.5 ...
Comment 27 Christian Ehrlicher 2012-03-16 07:47:24 UTC
On my other system 3.5.1 was crashing too. After renaming AppData\Roaming\LibreOffice it started without a crash. Digging a little bit deeper I ended up that I only had to remove AppData\Roaming\LibreOffice\3\user\config\javasettings_Windows_x86.xml ...

But replacing the newly created file with the old one does no longer result in a crash - so there must be another key somewhere. I could not look further because I once forgot to create a new backup of the old (crashing) config... :(

Interestingly on my first system I can't find this xml file at all (don't know if it was there before I removed the whole Directory). Both are Win7 64Bit with Java 1.7.0_01
Comment 28 Sven 2012-03-18 16:30:51 UTC
For one user, the upgrade to 3.5.1 worked without problems. Java was deactivated in 3.3 before the update.
For another user, I had to delete javasettings_Windows_x86.xml. After that, 3.5.1 started without crashing.
Comment 29 patlecat 2012-04-09 09:30:55 UTC
Tried it with the new version of LibreOffice 3.5.2 and got a the exact same crash at the same point: while or after loading the danish dictionary!

I still have the newest Java 7. upd3 and Win7 32bit.
Comment 30 Christian Ehrlicher 2012-04-09 09:56:21 UTC
(In reply to comment #29)
> Tried it with the new version of LibreOffice 3.5.2 and got a the exact same
> crash at the same point: while or after loading the danish dictionary!
> 
> I still have the newest Java 7. upd3 and Win7 32bit.

Did you try my workaounrd from comment 27
Comment 31 patlecat 2012-04-09 10:04:33 UTC
Sorry Christian I overlooked your tip. Tried it now and it works, thanks a bunch. When we look what is written inside then I understand why it crashed a bit better.

Still this is clearly a bug in the installer then. It should remove that file either with each install or after a check against the available JVMs on the system!

Here my "javasettings_Windows_x86.xml"
---------------------snip-----------------------
<?xml version="1.0" encoding="UTF-8"?>
<!--This is a generated file. Do not alter this file!-->
<java xmlns="http://openoffice.org/2004/java/framework/1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<enabled xsi:nil="true"/>
<userClassPath xsi:nil="true"/>
<vmParameters xsi:nil="true"/>
<jreLocations xsi:nil="true"/>
<javaInfo xsi:nil="false" vendorUpdate="2004-01-30" autoSelect="true">
<vendor>Sun Microsystems Inc.</vendor>
<location>file:///C:/Program%20Files/Java/jre6</location>
<version>1.6.0_23</version>
<features>0</features>
<requirements>0</requirements>
<vendorData>660069006C0065003A002F002F002F0043003A002F00500072006F006700720061006D00250032003000460069006C00650073002F004A006100760061002F006A007200650036002F00620069006E002F0063006C00690065006E0074002F006A0076006D002E0064006C006C00</vendorData>
</javaInfo>
</java>
---------------------snip-----------------------



(In reply to comment #30)
> (In reply to comment #29)
> > Tried it with the new version of LibreOffice 3.5.2 and got a the exact same
> > crash at the same point: while or after loading the danish dictionary!
> > 
> > I still have the newest Java 7. upd3 and Win7 32bit.
> 
> Did you try my workaounrd from comment 27
Comment 32 Sven 2012-04-09 10:17:05 UTC
(In reply to comment #31)
> Still this is clearly a bug in the installer then. It should remove that file
> either with each install or after a check against the available JVMs on the
> system!

This is not an issue with the installer. The installer does not have access to all user profiles. They may reside on a file server. And even if that does not hold, it is simply best practice not to have an installer that tries to access the user profiles. Libreoffice should be fixed, so that it ignores whatever is causing the crash.
Comment 33 patlecat 2012-04-09 10:52:43 UTC
As it is now it is a big of the installer, a designer-bug! Whether LibreOffice actually really still needs that "javasettings_Windows_x86.xml" at all is another question. And if that file is not needed anymore, since LO recreates it when missing it is still up to the installer to remove that file in an upgrade install!

And this is not about messing around with a users profile Sven, but setting up the needed environment for the program and configuring it properly. That also happens, and rightly so, in the users profile and registration, etc. And if an installer shouldn't do all of this, then I ask you, Sven, what an installer is good for instead ;)



(In reply to comment #32)
> (In reply to comment #31)
> > Still this is clearly a bug in the installer then. It should remove that file
> > either with each install or after a check against the available JVMs on the
> > system!
> 
> This is not an issue with the installer. The installer does not have access to
> all user profiles. They may reside on a file server. And even if that does not
> hold, it is simply best practice not to have an installer that tries to access
> the user profiles. Libreoffice should be fixed, so that it ignores whatever is
> causing the crash.
Comment 34 brandon.aiken 2012-05-20 22:36:36 UTC
I just experienced this issue with LibreOffice 3.5.2 and 3.5.3.  Uninstall/reinstall did not work, nor did repair install.  I corrected it by uninstalling, deleting %appdata%\LibreOffice, and reinstalling.

It's not an installer bug.  LibreOffice needs to handle the case that configuration files are invalid and fail safely.  It's an  unhandled exception.  LibreOffice should be able to handle this type of issue.  It's ludicrous to expect that the software installer should be responsible for migrating configuration data.  LibreOffice itself needs to be able to recognize that the configuration files are from previous versions or are otherwise corrupt or invalid and must be able to rectify that.  The application should not crash because the configuration files randomly got truncated.  It should repair the files or reload defaults.  Crashing to desktop is never behavior you want to design for.

Installers should not be modifying or deleting files not created by itself without a warning, and as far as I can tell the installer doesn't create anything in the %appdata%\LibreOffice folder.  Users should be able to uninstall and reinstall an application and not lose configuration files.  This is how the installer works.  Additionally, because users do not have access to all other user's home folders (regardless of platform and regardless of user permissions thanks to remote profiles or NFS shares) an installer cannot ever reliably cover all possible user profiles which have run this program before.

Finally, since the software does not even require an installer at all (I can download and compile it myself, for example) you can't even rely on the fact that an installer was used to upgrade the software *period*.

No, the only logical course is for LibreOffice to validate its own configuration files and, at the very least, fail gracefully when they are invalid.

(In reply to comment #33)
> As it is now it is a big of the installer, a designer-bug! Whether LibreOffice
> actually really still needs that "javasettings_Windows_x86.xml" at all is
> another question. And if that file is not needed anymore, since LO recreates it
> when missing it is still up to the installer to remove that file in an upgrade
> install!
> 
> And this is not about messing around with a users profile Sven, but setting up
> the needed environment for the program and configuring it properly. That also
> happens, and rightly so, in the users profile and registration, etc. And if an
> installer shouldn't do all of this, then I ask you, Sven, what an installer is
> good for instead ;)
Comment 35 Rainer Bielefeld Retired 2012-05-31 21:12:37 UTC
@András:
Do you have an idea what's going wrong here?
Comment 36 Urmas 2012-06-24 09:27:51 UTC
*** Bug 51339 has been marked as a duplicate of this bug. ***
Comment 37 Urmas 2012-07-06 03:39:06 UTC
*** Bug 51775 has been marked as a duplicate of this bug. ***
Comment 38 Andras Timar 2012-07-18 20:36:15 UTC
I wonder, if Bug 50584 is related. Please test again, when you have a build with that fix.
Comment 39 bugzilla 2012-07-19 17:13:21 UTC
I also experienced problems after installing a new version of LibreOffice (3.5.5.3). Starting the program after installation did not succeed, last message shown was related to the danish dictionary. 

I could fix the problem by running setup again, removing all dictionaries I dont not use regularly.

In this discussion thread dependence on Java is mentioned, and indeed, I recently installed Java 7 and removed Java 6 from my computer. This did not seem to affect the version of LibreOffice yet installed, but it may have lead to the crash during first start of the newly installed version.
Comment 40 Urmas 2012-07-21 10:50:05 UTC
*** Bug 37883 has been marked as a duplicate of this bug. ***
Comment 41 Björn Michaelsen 2012-08-30 15:58:06 UTC
=== summary of HardHack evaluation ===
* according to comment 13, this _not_ related to the danish dictionary. If you find a crash that is _only_ happening with the danish dict, please file a new bug.
* according to comment 3 this is likely java-related, and disappeared with Java 6
* according to comment 38 this is possibly a sideeffect of bug 50584

as is this bug is not ready to be picked up by development, please perform the following steps:

* test for this bug with a daily build from http://dev-builds.libreoffice.org/daily/ -- if it is fixed there, it was likely a sideeffect of that bug. We should then consider backporting that fix.
* if it still crashes, please follow the steps showed in http://www.youtube.com/watch?v=fppBTs215yc to provide a stacktrace

if these steps are completed, set this bug back to status NEW
Comment 42 Björn Michaelsen 2012-08-30 16:48:28 UTC
addendum: if this is not a dupe of bug 50584, we should consider the workaround from comment 27 and remove the troubling file from the profile.
Comment 43 Björn Michaelsen 2012-08-31 09:52:13 UTC
possibly related to: https://bugs.freedesktop.org/show_bug.cgi?id=52122
Comment 44 Stephan Bergmann 2012-08-31 10:01:50 UTC
Possibly relevant here is <https://bugs.freedesktop.org/show_bug.cgi?id=50371#c15>, claiming that Oracle Java installers on Windows leave junk behind.  That might explain it as follows:  An existing javasettings_Windows_x86.xml points to a removed Java installation, but enough junk from that Java installation is still around to trick LO into believing that Java installation is still present, so LO does not disregard the existing javasettings_Windows_x86.xml as outdated, but rather runs into problems only when actually trying to instantiate that broken Java installation.
Comment 45 Björn Michaelsen 2012-08-31 10:07:39 UTC
also possibly related: https://bugs.freedesktop.org/show_bug.cgi?id=48503
Comment 46 Stephan Bergmann 2012-09-04 09:35:05 UTC
Looking at the problem signature reported by Windows, there is a pattern:

* Exception Code is c0000417
* Exception Offset is 0002e9f4
* Exception Data is 00000000
* Fault Module Name is MSVCR90.dll
* Fault Module Version is 9.0.30729.6161

Googling for "c0000417" and "0002e9f4" turns up truckloads of reports of LO crashing, many (all?) mentioning Java in some way or other.

c0000417 is STATUS_INVALID_CRUNTIME_PARAMETER, and "dumpbin /exports C:\windows\winsxs\x86_microsoft.vc90.crt_1fc8b3b9a1e18e3b_9.0.30729.6161_none_50934f2ebcb7eb57\msvcr90.dll" shows that 0002e9f4 is within function _fileno (starting at 0002e9d0).  <http://msdn.microsoft.com/en-us/library/zs6wbdhx%28v=vs.80%29.aspx> "_fileno: Visual Studio 2005":  "If stream is NULL, _fileno invokes the invalid parameter handler, as described in Parameter Validation."  This would match the reported exception data of 00000000.

That is, it looks like some code calls _fileno(NULL), and the default invalid parameter handler (see <http://msdn.microsoft.com/en-us/library/ksazx244%28v=vs.80%29.aspx> "Parameter Validation: Visual Studio 2005") causes the application to crash.

The question is what code calls _fileno(NULL).  From the various reports mentioning Java (and how the problem went away when installing a different Java version), it could be some Java version's jvm.dll (loaded into soffice.bin when LO requires Java functionality).  However, we can only be sure if we get some stack trace showing what chain of code/dlls actually leads to the _fileno(NULL) call.
Comment 47 Björn Michaelsen 2012-09-05 08:20:02 UTC
@sberg: What do you think about implementing the workaround from comment 27 upon install until we have a stacktrace?
Comment 48 Stephan Bergmann 2012-09-05 08:24:55 UTC
(In reply to comment #47)
> @sberg: What do you think about implementing the workaround from comment 27
> upon install until we have a stacktrace?

I assume the below fix addresses this problem properly now.
Comment 49 Stephan Bergmann 2012-09-05 08:27:02 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a82e532ce006c54b2740de74d1da5d11307da7c1

fdo#38913: Prevent invalid parameter handler crashes
Comment 50 Stephan Bergmann 2012-09-05 08:40:22 UTC
*** Bug 50517 has been marked as a duplicate of this bug. ***
Comment 51 Stephan Bergmann 2012-09-05 08:41:57 UTC
*** Bug 53464 has been marked as a duplicate of this bug. ***
Comment 52 Stephan Bergmann 2012-09-05 08:42:57 UTC
*** Bug 53921 has been marked as a duplicate of this bug. ***
Comment 53 Stephan Bergmann 2012-09-05 08:44:50 UTC
*** Bug 41179 has been marked as a duplicate of this bug. ***
Comment 54 Stephan Bergmann 2012-09-05 08:48:07 UTC
*** Bug 46114 has been marked as a duplicate of this bug. ***
Comment 55 Stephan Bergmann 2012-09-05 08:48:39 UTC
*** Bug 48271 has been marked as a duplicate of this bug. ***
Comment 56 Stephan Bergmann 2012-09-05 08:49:17 UTC
*** Bug 48445 has been marked as a duplicate of this bug. ***
Comment 57 Stephan Bergmann 2012-09-05 08:49:50 UTC
*** Bug 47578 has been marked as a duplicate of this bug. ***
Comment 58 Stephan Bergmann 2012-09-05 09:29:43 UTC
(In reply to comment #49)
> Stephan Bergmann committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/?id=a82e532ce006c54b2740de74d1da5d11307da7c1
> 
> fdo#38913: Prevent invalid parameter handler crashes

Requested backport to libreoffice-3-5 <https://gerrit.libreoffice.org/#/c/565/> "Change Id6a3ffb6: fdo#38913: Prevent invalid parameter handler crashes" and libreoffice-3-6 <https://gerrit.libreoffice.org/#/c/564/> "Change Id6a3ffb6: fdo#38913: Prevent invalid parameter handler crashes."
Comment 59 bfoman (inactive) 2012-09-05 15:22:08 UTC
*** Bug 54540 has been marked as a duplicate of this bug. ***
Comment 60 Not Assigned 2012-09-10 11:00:29 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b87abdf142d23952f83bae0291854e71bf5534da&g=libreoffice-3-6

fdo#38913: Prevent invalid parameter handler crashes


It will be available in LibreOffice 3.6.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 61 Mikesco3 2012-09-13 00:29:06 UTC
Created attachment 67067 [details]
screenshot of soffice.bin - Application Error

I just installed LibreOffice 3.6.1.2 Build ID: e29a214.
I had previously uninstalled the previous version of LibreOffice.
When I start office itself it runs fine, but when I open some budget spreadsheets I had created in the previous version I get the crash that is in the attached image.
Comment 62 Stephan Bergmann 2012-09-13 07:08:56 UTC
(In reply to comment #61)
> Created attachment 67067 [details]
> screenshot of soffice.bin - Application Error
> 
> I just installed LibreOffice 3.6.1.2 Build ID: e29a214.
> I had previously uninstalled the previous version of LibreOffice.
> When I start office itself it runs fine, but when I open some budget
> spreadsheets I had created in the previous version I get the crash that is in
> the attached image.

While your "location 0x7858ccd5" does not relate to the well-known offset 0002e9f4, I would still hope your problem is addressed with the fix for LO 3.6.2, too.  Please re-try when LO 3.6.2 (or pre-release builds for it, see <http://www.libreoffice.org/download/pre-releases/>) start to become available soon.
Comment 63 Stephan Bergmann 2012-09-14 13:48:24 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-5&id=187aa5e1d5fda125975046bbef06b1d8d6e8056e

fdo#38913: Prevent invalid parameter handler crashes


It will be available in LibreOffice 3.5.7.